Page MenuHomePhabricator

Flatten MedaWiki deploy into a single git repo
ClosedPublic

Authored by thcipriani on Oct 25 2016, 11:53 PM.

Details

Maniphest Tasks
T147478: Flatten MediaWiki config, all MediaWiki versions, and extensions into a unified git repo
Reviewers
dduvall
mmodell
bd808
demon
Group Reviewers
Release-Engineering-Team
Commits
rMSCA08af4b9da976: Flatten MedaWiki deploy into a single git repo
Patch without arc
git checkout -b D429 && curl -L https://phabricator.wikimedia.org/D429?download=true | git apply
Summary

After the local compilation of wikiversions on the deployment master,
add the entirey of /srv/mediawiki to a unified git repository.

This doesn't yet attempt to change the transport mechanism for sync, nor
does it use much of the scap3 code, but it gets us to a single version
number for deployment.

This also overwrites the mediawiki-config repo as all php-* would be
ignored otherwise.

Fixes T147478

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

thcipriani updated this revision to Diff 1134.Oct 25 2016, 11:53 PM
thcipriani retitled this revision from to Flatten MedaWiki deploy into a single git repo.
thcipriani updated this object.
thcipriani edited the test plan for this revision. (Show Details)
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptOct 25 2016, 11:53 PM
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript

W: scap source: changelog-should-mention-nmu
N:
N: When you NMU a package, that fact should be mentioned on the first line
N: in the changelog entry. Use the words "NMU" or "Non-maintainer upload"
N: (case insensitive).
N:
N: Maybe you didn't intend this upload to be a NMU, in that case, please
N: double-check that the most recent entry in the changelog is
N: byte-for-byte identical to the maintainer or one of the uploaders. If
N: this is a local package (not intended for Debian), you can suppress this
N: warning by putting "local" in the version number or "local package" on
N: the first line of the changelog entry.
N:
N: Refer to Debian Developer's Reference section 5.11.3 (Using the DELAYED/
N: queue) for details.
N:
N: Severity: normal, Certainty: certain
N:
N: Check: nmu, Type: source
N:
W: scap source: source-nmu-has-incorrect-version-number 3.3.0-1+0~20161025235352.168~1.gbp9bc3c0
N:
N: A source NMU should have a Debian
https://integration.wikimedia.org/ci/job/beta-build-deb/168/ for more details.

thcipriani updated this revision to Diff 1135.Oct 26 2016, 12:03 AM
thcipriani edited edge metadata.

Pass the message from scap sync to scap deploy-mediawiki

W: scap source: changelog-should-mention-nmu
N:
N: When you NMU a package, that fact should be mentioned on the first line
N: in the changelog entry. Use the words "NMU" or "Non-maintainer upload"
N: (case insensitive).
N:
N: Maybe you didn't intend this upload to be a NMU, in that case, please
N: double-check that the most recent entry in the changelog is
N: byte-for-byte identical to the maintainer or one of the uploaders. If
N: this is a local package (not intended for Debian), you can suppress this
N: warning by putting "local" in the version number or "local package" on
N: the first line of the changelog entry.
N:
N: Refer to Debian Developer's Reference section 5.11.3 (Using the DELAYED/
N: queue) for details.
N:
N: Severity: normal, Certainty: certain
N:
N: Check: nmu, Type: source
N:
W: scap source: source-nmu-has-incorrect-version-number 3.3.0-1+0~20161026000313.169~1.gbp15acd3
N:
N: A source NMU should have a Debian
https://integration.wikimedia.org/ci/job/beta-build-deb/169/ for more details.

thcipriani updated this revision to Diff 1136.Oct 26 2016, 12:37 AM

quote message

W: scap source: changelog-should-mention-nmu
N:
N: When you NMU a package, that fact should be mentioned on the first line
N: in the changelog entry. Use the words "NMU" or "Non-maintainer upload"
N: (case insensitive).
N:
N: Maybe you didn't intend this upload to be a NMU, in that case, please
N: double-check that the most recent entry in the changelog is
N: byte-for-byte identical to the maintainer or one of the uploaders. If
N: this is a local package (not intended for Debian), you can suppress this
N: warning by putting "local" in the version number or "local package" on
N: the first line of the changelog entry.
N:
N: Refer to Debian Developer's Reference section 5.11.3 (Using the DELAYED/
N: queue) for details.
N:
N: Severity: normal, Certainty: certain
N:
N: Check: nmu, Type: source
N:
W: scap source: source-nmu-has-incorrect-version-number 3.3.0-1+0~20161026003734.170~1.gbpf8fb5f
N:
N: A source NMU should have a Debian
https://integration.wikimedia.org/ci/job/beta-build-deb/170/ for more details.

thcipriani updated this revision to Diff 1137.Oct 26 2016, 4:55 PM

Remove append arg from git.default_ignore. Made the whole thing crazy for no reason.

W: scap source: changelog-should-mention-nmu
N:
N: When you NMU a package, that fact should be mentioned on the first line
N: in the changelog entry. Use the words "NMU" or "Non-maintainer upload"
N: (case insensitive).
N:
N: Maybe you didn't intend this upload to be a NMU, in that case, please
N: double-check that the most recent entry in the changelog is
N: byte-for-byte identical to the maintainer or one of the uploaders. If
N: this is a local package (not intended for Debian), you can suppress this
N: warning by putting "local" in the version number or "local package" on
N: the first line of the changelog entry.
N:
N: Refer to Debian Developer's Reference section 5.11.3 (Using the DELAYED/
N: queue) for details.
N:
N: Severity: normal, Certainty: certain
N:
N: Check: nmu, Type: source
N:
W: scap source: source-nmu-has-incorrect-version-number 3.3.0-1+0~20161026165539.171~1.gbp222506
N:
N: A source NMU should have a Debian
https://integration.wikimedia.org/ci/job/beta-build-deb/171/ for more details.

greg awarded a token.Oct 26 2016, 8:39 PM
thcipriani updated this revision to Diff 1139.Oct 27 2016, 5:27 PM

Ensure that each type of sync-* will update the repo at
/srv/mediawiki with only with the files that are being synced.

This means /srv/mediawiki will become:

  1. A version number for everything deployed to the appservers
  2. A history of all deployments complete with who deployed it and when

This revision also tries hard to ensure that the user who synced the file is
recorded as the commit author in /srv/mediawiki.

W: scap source: changelog-should-mention-nmu
N:
N: When you NMU a package, that fact should be mentioned on the first line
N: in the changelog entry. Use the words "NMU" or "Non-maintainer upload"
N: (case insensitive).
N:
N: Maybe you didn't intend this upload to be a NMU, in that case, please
N: double-check that the most recent entry in the changelog is
N: byte-for-byte identical to the maintainer or one of the uploaders. If
N: this is a local package (not intended for Debian), you can suppress this
N: warning by putting "local" in the version number or "local package" on
N: the first line of the changelog entry.
N:
N: Refer to Debian Developer's Reference section 5.11.3 (Using the DELAYED/
N: queue) for details.
N:
N: Severity: normal, Certainty: certain
N:
N: Check: nmu, Type: source
N:
W: scap source: source-nmu-has-incorrect-version-number 3.3.0-1+0~20161027172752.173~1.gbp40456a
N:
N: A source NMU should have a Debian
https://integration.wikimedia.org/ci/job/beta-build-deb/173/ for more details.

W: scap source: changelog-should-mention-nmu
N:
N: When you NMU a package, that fact should be mentioned on the first line
N: in the changelog entry. Use the words "NMU" or "Non-maintainer upload"
N: (case insensitive).
N:
N: Maybe you didn't intend this upload to be a NMU, in that case, please
N: double-check that the most recent entry in the changelog is
N: byte-for-byte identical to the maintainer or one of the uploaders. If
N: this is a local package (not intended for Debian), you can suppress this
N: warning by putting "local" in the version number or "local package" on
N: the first line of the changelog entry.
N:
N: Refer to Debian Developer's Reference section 5.11.3 (Using the DELAYED/
N: queue) for details.
N:
N: Severity: normal, Certainty: certain
N:
N: Check: nmu, Type: source
N:
W: scap source: source-nmu-has-incorrect-version-number 3.3.0-1+0~20161027183827.174~1.gbp3d4534
N:
N: A source NMU should have a Debian
https://integration.wikimedia.org/ci/job/beta-build-deb/174/ for more details.

mmodell edited edge metadata.Nov 2 2016, 6:15 PM

I'm comfortable with this pretty much as-is.

mmodell accepted this revision.Nov 30 2016, 5:36 PM
mmodell edited edge metadata.
This revision is now accepted and ready to land.Nov 30 2016, 5:36 PM
This revision was automatically updated to reflect the committed changes.